php 7.2

  • Author
    Posts
  • #64924

    I’m looking to move my sites to php 7.2. Nirvana includes a function that is now deprecated (function_create). Will Nirvana be updated, or should I choose a different theme?

    Which Cryout themes are php 7.2 compliant?

    #65920
    Zed
    Cryout Creations Team

    Update 1.4.5 corrects the compatibility with PHP 7.2.


    If you like our creations, help us share by rating them on WordPress.org.
    Please read the available documentation and search the forums before posting.
    #65923

    Great; thanks.

    #72991

    My web host 1&1 suggested I update to PHP 7.2. Website seemed ok, but then I noticed that I cannot make any admin changes.
    The error I got was “Fatal error: Cannot use $this as parameter in /homepages/45/d581792224/htdocs/Caveworkspress/wp-content/plugins/htaccess/htaccess.php on line 809”
    I would have to go back to 7.0 and community support will have ended. Not sure this means I can’t keep using it, but I might get charged a maintenance fee to keep using it.

    Thanks for any help.

    Website: www.caveworkspress.com

    #74541
    Zed
    Cryout Creations Team

    @Caveworks,

    The error message indicates that the ‘htaccess’ plugin is not yet compatible with PHP 7.2

    You can either contact its author about this and wait for them to fix that or look for an alternative (PHP 7.2) compatible plugin.

    If a particular PHP version is available for selection it is generally usable (the hosting provider does not create PHP updates or security patches), but using an unsupported PHP release can open your site up to known or unkown vulnerabilities that will never get patched.


    If you like our creations, help us share by rating them on WordPress.org.
    Please read the available documentation and search the forums before posting.
Viewing 5 posts - 1 through 5 (of 5 total)

The topic ‘php 7.2’ is closed to new replies.